.\"	$NetBSD: trm.4,v 1.5 2003/06/26 10:39:55 wiz Exp $
.\"
.\" Copyright (c) 2001 Izumi Tsutsui.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd November 6, 2001
.Dt TRM 4
.Os
.Sh NAME
.Nm trm
.Nd Tekram TRM-S1040 ASIC based PCI SCSI host adapter driver
.Sh SYNOPSIS
.Cd "trm* at pci? dev ? function ?"
.Cd "scsibus* at trm?"
.Sh DESCRIPTION
The
.Nm
driver supports PCI SCSI host adapters based on the Tekram TRM-S1040
SCSI ASIC.
.Sh HARDWARE
Supported SCSI controllers include:
.Pp
.Bl -item -offset indent
.It
.Tn Tekram DC-315
PCI Ultra SCSI adapter without flash BIOS and internal SCSI connector
.It
.Tn Tekram DC-315U
PCI Ultra SCSI adapter without flash BIOS
.It
.Tn Tekram DC-395U
PCI Ultra SCSI adapter with flash BIOS
.It
.Tn Tekram DC-395UW
PCI Ultra-Wide SCSI adapter with flash BIOS
.It
.Tn Tekram DC-395F
PCI Ultra-Wide SCSI adapter with flash BIOS and 68-pin external SCSI connector
.El
.Pp
For Tekram DC-390 PCI SCSI host adapter, use
.Xr pcscp 4
driver.
.Pp
For Tekram DC-310/U and DC-390U/UW/F PCI SCSI host adapters, use
.Xr siop 4
driver.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr ss 4 ,
.Xr st 4 ,
.Xr uk 4 ,
.Xr scsipi 9
.Pp
.Pa http://www.tekram.com/
.Sh AUTHORS
The
.Nm
driver was originally written for
.Nx 1.4 Ns /i386
by Erich Chen of Tekram Technology,
and Rui-Xiang Guo rewrote the driver to use
.Xr bus_space 9
and
.Xr bus_dma 9
for
.Nx
1.6.
